libzypp: zypp::LogClient Class Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zypp::LogClient Class Reference

## Public Member Functions
| LogClient ()
| LogClient (const LogClient &)=delete
| LogClient (LogClient &&)=delete
LogClient & | operator= (const LogClient &)=delete
LogClient & | operator= (LogClient &&)=delete
| ~LogClient ()
bool | ensureConnection ()
void | pushMessage (std::string msg)

## Private Attributes
int | _sockFD = -1
bool | inPushMessage = false

## Detailed Description

Definition at line 219 of file LogControl.cc.

## Constructor & Destructor Documentation

## ◆ LogClient() [1/3]

zypp::LogClient::LogClient | ( |  | ) |
| inline

Definition at line 222 of file LogControl.cc.

## ◆ LogClient() [2/3]

zypp::LogClient::LogClient | ( | const LogClient & |  | ) |
| delete

## ◆ LogClient() [3/3]

zypp::LogClient::LogClient | ( | LogClient && |  | ) |
| delete

## ◆ ~LogClient()

zypp::LogClient::~LogClient | ( |  | ) |
| inline

Definition at line 232 of file LogControl.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

LogClient & zypp::LogClient::operator= | ( | const LogClient & |  | ) |
| delete

## ◆ operator=() [2/2]

LogClient & zypp::LogClient::operator= | ( | LogClient && |  | ) |
| delete

## ◆ ensureConnection()

bool zypp::LogClient::ensureConnection | ( |  | ) |
| inline

Tries to connect to the log threads socket, returns true on success or if the socket is already connected

Definition at line 238 of file LogControl.cc.

## ◆ pushMessage()

void zypp::LogClient::pushMessage | ( | std::string | msg | ) |
| inline

Sends a message to the log thread.

Definition at line 253 of file LogControl.cc.

## Member Data Documentation

## ◆ _sockFD

int zypp::LogClient::_sockFD = -1
| private

Definition at line 292 of file LogControl.cc.

## ◆ inPushMessage

bool zypp::LogClient::inPushMessage = false
| private

Definition at line 293 of file LogControl.cc.

The documentation for this class was generated from the following file:

- zypp-core/base/LogControl.cc